import { ToastProps } from "./Toast";
export declare function useToasts(): ToastState;
declare type Toast = ToastProps & {
    toastId: number;
};
export declare type ToastState = {
    toasts: Toast[];
    add: (props: ToastProps) => void;
    remove: (id: number) => void;
    removeAll: () => void;
};
export declare function useToastState(): ToastState;
export {};
